Part Box/es: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Created page with "Ejemplo:")
 
(40 intermediate revisions by 4 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{Docnav
{{Docnav/es
|
|
|[[Part_Cylinder|Cylinder]]
|[[Part_Cylinder/es|Cilindro]]
|[[Part_Module|Part]]
|[[Part_Workbench/es|Part]]
|IconL=
|IconL=
|IconR=Part_Cylinder.svg
|IconR=Part_Cylinder.svg
|IconC=Workbench_Part.svg
|IconC=Workbench_Part.svg
}}
}}

{{GuiCommand/es
|Name=Part Box
|Name/es=Part Cubo
|MenuLocation=Pieza → Primitivas → Cubo
|Workbenches=[[Part_Workbench/es|Part]]
|SeeAlso=[[Part_Primitives/es|Part Crear primitivas]]
}}

<span id="Description"></span>
==Descripción==

El comando [[Image:Part_Box.svg|24px]] '''Part Caja''' crea un sólido de caja paramétrica, un [https://en.wikipedia.org/wiki/Cuboid#Rectangular_cuboid cuboide rectangular]. En el sistema de coordenadas definido por su propiedad {{PropertyData|Placement}}, la cara inferior de la caja se encuentra en el plano XY con su esquina frontal izquierda en el origen y su borde frontal paralelo al eje X.

[[Image:Part_Box_Example.png|400px]]

<span id="Usage"></span>
== Uso ==


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Las propiedades se pueden editar después en la pestaña de datos del cubo:
{{GuiCommand/es|Name=Part Box|Name/es=Part Box|MenuLocation=Part → Box||Workbenches=[[Part Module/es|Part]], Complete|SeeAlso=[[Part_CreatePrimitives/es|Part CreatePrimitives]]}}
</div>
</div>


<span id="Example"></span>
==Description==
== Ejemplo ==
The Box command from the [[Part_Workbench|Part Workbench]] inserts a parametric, [http://en.wikipedia.org/wiki/Cuboid#Rectangular_cuboid rectangular cuboid], geometric primitive into the active document. By default, the Box command will insert a 10x10x10 mm cube, positioned at the origin, with the label "cube". These parameters may be modified after the object has been added.


[[Image:Part_Box_Scripting_Example.png|thumb|Part Box from the scripting example]]
[[Image:Part_Box.jpg|400px|Part_Box]]


A Part Box object created with the [[#Scripting|scripting example]] below is shown here.
==Notes==
* {{VersionPlus|0.14}} a [[Part Box]] is referred to in the GUI elements as a '''Cube''' and the default label is "Cube".


<span id="Notes"></span>
==Usage==
== Notas ==
# Switch to the [[Image:Workbench_Part.svg|24px]] [[Part Workbench]]
# Invoke the command several ways:
#* Press the {{KEY|[[Image:Part Box.svg|24px]]}} button in the toolbar.
#* Select the {{MenuCommand|Part → Primitives → Cube}} from the menu bar.


* A Part Box can also be created with the [[Image:Part_Primitives.svg|16px]] [[Part_Primitives|Part Primitives]] command. With that command you can specify the dimensions and placement at creation time.
==Options==
* Via the [[Property_editor | Property Editor]]:
** '''Length:''' Set the length distance for your Box object (default is 10 mm).
** '''Width:''' Set the width distance for your Box object (default is 10 mm).
** '''Height:''' Set the height distance for your Box object (default is 10 mm).
** '''Placement:''' Specifies the orientation and position of the Box in the 3D space. See [[Placement | Placement]]. The reference point is the left front lower corner of the box.
** '''Label:''' The Label is the name given to the operation. This name can be changed at your convenience.


==Properties==
<span id="Properties"></span>
== Propiedades ==
{{Properties_Title|Base}}
*{{PropertyData|Placement}}: Specifies the orientation and position of the Box in the 3D space. See [[Placement | Placement]]. The reference point is the left front lower corner of the box.
*{{PropertyData|Label}}: Label given to the Box object. Change to suit your needs.


Ver también: [[Property_editor/es|Editor de propiedades]].

A Part Box object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:

<span id="Data"></span>
=== Datos ===

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Box}}

<div class="mw-translate-fuzzy">
{{Properties_Title|Box}}
{{Properties_Title|Box}}
*{{PropertyData|Length}}: The length parameter is the Box's dimension in the x-direction.
*{{PropertyData/es|Length o Longitud}}: Dimensiones del Cubo en la dirección X.
*{{PropertyData|Width}}: The width parameter is the Box's dimension in the y-direction.
*{{PropertyData/es|Width o Anchura}}: Dimensiones del Cubo en la dirección Y.
*{{PropertyData|Height}}: The height parameter is the Box's dimension in the z-direction.
*{{PropertyData/es|Height o Altura}}: Dimensiones del Cubo en la dirección Z.
</div>


<span id="Scripting"></span>
[[Image:Part_Box-Properties.jpg|Part_Box-Properties]]
== Programación ==


See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
==Scripting==

The Box command can by used in [[macros]] and from the python console using the following function:
<div class="mw-translate-fuzzy">
{{Code|code=
==Programación==
FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
El comando Box (Cubo) puede ser usado en las
}}
[[Macros|macros]] y desde la consola de Python usando la siguiente función:
* Where "myBox" is the label for the Box object.
</div>
* Returns newly created object of type Box.


You can access and modify attributes of the Box object. For example, you may wish to modify the length, width and height parameters.
{{Code|code=
{{Code|code=
FreeCAD.ActiveDocument.myBox.Length = 25
box = FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
FreeCAD.ActiveDocument.myBox.Width = 15
FreeCAD.ActiveDocument.myBox.Height = 30
}}
}}


<div class="mw-translate-fuzzy">
You can change its placement with:
* Donde "myBox" es el nombre del objeto Cubo.
* Devuelve un nuevo objeto creado de tipo Cubo.
</div>

Ejemplo:

{{Code|code=
{{Code|code=
import FreeCAD as App
FreeCAD.ActiveDocument.myBox.Placement = FreeCAD.Placement(FreeCAD.Vector(4, 6, 3), FreeCAD.Rotation(30, 45, 10))

doc = App.activeDocument()

box = doc.addObject("Part::Box", "myBox")
box.Length = 4
box.Width = 8
box.Height = 12
box.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()
}}
}}




<div class="mw-translate-fuzzy">
{{Docnav
{{Docnav/es
|
|
|[[Part_Cylinder|Cylinder]]
|[[Part_Cylinder/es|Cilindro]]
|[[Part_Module|Part]]
|[[Part_Workbench/es|Part]]
|IconL=
|IconL=
|IconR=Part_Cylinder.svg
|IconR=Part_Cylinder.svg
|IconC=Workbench_Part.svg
|IconC=Workbench_Part.svg
}}
}}
</div>


{{Part Tools navi{{#translation:}}}}
{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 18:27, 14 February 2024

Part Cubo

Ubicación en el Menú
Pieza → Primitivas → Cubo
Entornos de trabajo
Part
Atajo de teclado por defecto
Ninguno
Introducido en versión
-
Ver también
Part Crear primitivas

Descripción

El comando Part Caja crea un sólido de caja paramétrica, un cuboide rectangular. En el sistema de coordenadas definido por su propiedad DatosPlacement, la cara inferior de la caja se encuentra en el plano XY con su esquina frontal izquierda en el origen y su borde frontal paralelo al eje X.

Uso

Las propiedades se pueden editar después en la pestaña de datos del cubo:

Ejemplo

Part Box from the scripting example

A Part Box object created with the scripting example below is shown here.

Notas

  • A Part Box can also be created with the Part Primitives command. With that command you can specify the dimensions and placement at creation time.

Propiedades

Ver también: Editor de propiedades.

A Part Box object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Datos

Attachment

The object has the same attachment properties as a Part Part2DObject.

Box

Box

  • DATOSLength o Longitud: Dimensiones del Cubo en la dirección X.
  • DATOSWidth o Anchura: Dimensiones del Cubo en la dirección Y.
  • DATOSHeight o Altura: Dimensiones del Cubo en la dirección Z.

Programación

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

Programación

El comando Box (Cubo) puede ser usado en las macros y desde la consola de Python usando la siguiente función:

box = FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
  • Donde "myBox" es el nombre del objeto Cubo.
  • Devuelve un nuevo objeto creado de tipo Cubo.

Ejemplo:

import FreeCAD as App

doc = App.activeDocument()

box = doc.addObject("Part::Box", "myBox")
box.Length = 4
box.Width = 8
box.Height = 12
box.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()